From b3b26712d9ae10c504e97b1484b751f72f536b35 Mon Sep 17 00:00:00 2001
From: Jakob Linskeseder <jakob@linskeseder.com>
Date: Wed, 29 Dec 2021 23:29:47 +0100
Subject: [PATCH] Fix integration-tests issue with npm >= 7

Fixes the following error when running integration-tests:
```
npm ERR! code ERESOLVE
npm ERR! ERESOLVE unable to resolve dependency tree
npm ERR!
npm ERR! While resolving: webpack-test@1.0.0
npm ERR! Found: handlebars@5.0.0-alpha.1
npm ERR! node_modules/handlebars
npm ERR!   dev handlebars@"file:../../.." from the root project
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer handlebars@">= 1.3.0 < 5" from handlebars-loader@1.7.1
npm ERR! node_modules/handlebars-loader
npm ERR!   dev handlebars-loader@"^1.7.1" from the root project
npm ERR!
```
---
 tests/integration/webpack-babel-test/test.sh | 2 +-
 tests/integration/webpack-test/test.sh       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/integration/webpack-babel-test/test.sh b/tests/integration/webpack-babel-test/test.sh
index a45d5625f..f473863ae 100755
--- a/tests/integration/webpack-babel-test/test.sh
+++ b/tests/integration/webpack-babel-test/test.sh
@@ -4,7 +4,7 @@ set -e
 
 # Cleanup: package-lock and "npm ci" is not working with local dependencies
 rm dist package-lock.json -rf
-npm install
+npm install --legacy-peer-deps
 npm run build
 
 for i in dist/*-test.js ; do
diff --git a/tests/integration/webpack-test/test.sh b/tests/integration/webpack-test/test.sh
index a45d5625f..f473863ae 100755
--- a/tests/integration/webpack-test/test.sh
+++ b/tests/integration/webpack-test/test.sh
@@ -4,7 +4,7 @@ set -e
 
 # Cleanup: package-lock and "npm ci" is not working with local dependencies
 rm dist package-lock.json -rf
-npm install
+npm install --legacy-peer-deps
 npm run build
 
 for i in dist/*-test.js ; do
